Buildroot: %{_builddir}/%{name}-root
Name:		unicore-hila-shell
Version:    2.3.0
Release:	4
Summary:	UNICORE 6 HiLA Grid Shell
Group:		Applications/Internet
License:	BSD
URL:		http://www.unicore.eu/
Requires:       java-1.6.0-openjdk bash
BuildArch:      noarch
Packager:       Bjoern Hagemeier <unicore-support@lists.sourceforge.net>

BuildRequires: subversion  
BuildRequires: maven  
BuildRequires: java-1.6.0-openjdk-devel 
Source0 : unicore-hila-shell-2.3.0-4.src.tar.gz


%description
The HiLA Grid API is an abstract API for accessing Grid resources.

This package contains the HiLA Shell, an interactive shell to acess
Grid resources.

%prep 
%setup -q -c . 
%build
%install 
rm -rf $RPM_BUILD_ROOT 
mkdir -p $RPM_BUILD_ROOT 
mvn install -Dmaven.repo.local=`pwd`/hila-shell/maven-repo -Phila-shell; cd hila-shell; mvn install assembly:assembly -Dmaven.repo.local=`pwd`/maven-repo 
mvn -q package -Ppackman -Dmaven.test.skip -Dmaven.repo.local=`pwd`/maven-repo -Dpackage.version=2.3.0 -Dpackage.release=4 -Ddistribution=SL55 -Dpackage.config.dir=src/main/package -Dpackage.type=prep.src.rpm -DindexJars -B; 
cp -r target/SL55/RPMS/builddir/* $RPM_BUILD_ROOT 
%clean 
rm -rf $RPM_BUILD_ROOT


%files
%defattr(755, unicore, unicore,-)
%dir "/etc/unicore/hila"
%config "/etc/unicore/hila/log4j.properties"
%config "/etc/unicore/hila/demo.jks"

%attr(0755 - -) "/usr/bin/hila-shell"

%dir "/usr/share/unicore/hila-shell/lib"
"/usr/share/unicore/hila-shell/lib/*.jar"
%dir "/usr/share/unicore/hila-shell/lib/endorsed"
"/usr/share/unicore/hila-shell/lib/endorsed/*.jar"
%dir "/usr/share/doc/unicore/hila-shell"
"/usr/share/doc/unicore/hila-shell/*-javadoc.jar"
